#!/usr/bin/python
# -*- coding: utf-8 -*-

import sys

from . import constant

#########################################################
def calcDigit2Nanoseconds(ndigit):
	return	int(ndigit * constant.TIME_DIGIT2NANOSEC)

def calcDigit2Miiliseconds(ndigit):
	nsec = calcDigit2Nanoseconds(ndigit)
	msec = float(nsec) / 1000000.0
	return msec
	
def calcDigit2Seconds(ndigit):
	nsec = calcDigit2Nanoseconds(ndigit)
	secs = float(nsec) / 1000000000.0
	return secs

#########################################################
def calcNanoseconds2Digit(nsec):
	return	int(nsec / constant.TIME_DIGIT2NANOSEC)

def calcMilliseconds2Digit(sec):
	msec = int(sec * 1000000.0)
	value = calcNanoseconds2Digit(msec)
	return	value

def calcSeconds2Digit(sec):
	nsec = int(sec * 1000000000.0)
	value = calcNanoseconds2Digit(nsec)
	return	value


